Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Dataflows - Get Dataflow Transactions

Service:
Power BI REST APIs
API Version:
v1.0

Returns a list of transactions for the specified dataflow.

Required Scope

Dataflow.ReadWrite.All or Dataflow.Read.All

GET https://api.powerbi.com/v1.0/myorg/groups/{groupId}/dataflows/{dataflowId}/transactions

URI Parameters

Name In Required Type Description
dataflowId
path True

string (uuid)

The dataflow ID

groupId
path True

string (uuid)

The workspace ID

Responses

Name Type Description
200 OK

DataflowTransactions

OK

Examples

Example

Sample request

GET https://api.powerbi.com/v1.0/myorg/groups/51e47fc5-48fd-4826-89f0-021bd3a80abd/dataflows/928228ba-008d-4fd9-864a-92d2752ee5ce/transactions

Sample response

Status code:
200
{
 "@odata.context": "http://someserver.analysis.windows.net/v1.0/myorg/groups/98674fdf-baab-45e1-a04a-c17ab378dce1/$metadata#transactions",
 "value": [
 {
 "id": "2020-08-27T16:07:47.2487692Z@8dbd8c92-4d16-4947-8329-4172f04f4f93$2"
 },
 {
 "id": "2020-08-26T16:40:55.0968787Z@e33eed4d-5b1a-4bb9-8b5b-dff1cd371109$1",
 "refreshType": "OnDemand"
 }
 ]
}

Definitions

Name Description
DataflowTransaction

A Power BI dataflow transaction

DataflowTransactions

Odata response wrapper for dataflow transactions

DataflowTransaction

Object

A Power BI dataflow transaction

Name Type Description
endTime

string

The end time of the transaction

id

string

The transaction ID

refreshType

string

The type of refresh transaction

startTime

string

The start time of the transaction

status

string

The status of the transaction

DataflowTransactions

Object

Odata response wrapper for dataflow transactions

Name Type Description
@odata.context

string

OData context

value

DataflowTransaction[]

The dataflow transactions